## visad
Class DelaunayOverlap

    java.lang.Object
      visad.Delaunay
          visad.DelaunayOverlap

All Implemented Interfaces:
  Serializable

public class DelaunayOverlap
extends Delaunay

DelaunayOverlap quickly constructs a triangulation of a series of partially overlapping two-dimensional gridded sets.

Grids should be aligned so that they overlap in a roughly vertical column (i.e., as samples[*][1] increases or decreases, the grid number increases or decreases respectively). DelaunayOverlap does not handle grids which overlap across a horizontal row.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.Delaunay
`Edges, NumEdges, Tri, Vertices, Walk`

Constructor Summary
`DelaunayOverlap(float[][] samples, int lenx, int leny)` Construct a Delaunay triangulation of the points in the samples array, which are a sequence of 2-D grids of size lenx * leny, and which may overlap with each other.

Method Summary
`static void` `main(String[] argv)` run 'java visad.DelaunayOverlap' to test the DelaunayOverlap class

Methods inherited from class visad.Delaunay
`clone, factory, finish_triang, getNonConvex, improve, perturb, sampleString, scale, setNonConvex, test, test, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelaunayOverlap

    public DelaunayOverlap(float[][] samples,
                           int lenx,
                           int leny)
                    throws VisADException

  Construct a Delaunay triangulation of the points in the samples array, which are a sequence of 2-D grids of size lenx * leny, and which may overlap with each other. This situation can arise when each grid is a scan from a polar orbiting satellite and the scans are perpendicular to the direction of travel of the satellite. The scan grids widen away from the satellite sub-point and can overlap.

Parameters:
  `samples` - locations of points for topology - dimensioned float[dimension][number_of_points]
  `lenx` - x size of scan grid
  `leny` - y size of scan grid
Throws:
  `VisADException` - a VisAD error occurred

Method Detail

### main

    public static void main(String[] argv)
                     throws VisADException

  run 'java visad.DelaunayOverlap' to test the DelaunayOverlap class

  Parameters:
    `argv` - command line arguments
  Throws:
    `VisADException` - a VisAD error occurred